# $Revision: 1.9 $, $Date: 2002/09/01 12:20:58 $
%include	/usr/lib/rpm/macros.php
%define         _class          Net
%define         _subclass       UserAgent
%define		_pearname	%{_class}_%{_subclass}_Detect
Summary:	%{_pearname} - determines the Web browser
Summary(pl):	%{_pearname} - identyfikuje przegldark
Name:		php-pear-%{_pearname}
Version:	1.0
Release:	4
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
URL:		http://pear.php.net/
BuildRequires:	rpm-php-pearprov
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Net_UserAgent object does a number of tests on an HTTP User-Agent
string. The results of these tests are available via methods of the
object. This module is based upon the JavaScript browser detection
code available at
http://www.mozilla.org/docs/web-developer/sniffer/browser_type.html.
This module had many influences from the lib/Browser.php code in
version 1.3 of Horde.

%description -l pl
Obiekt Net_UserAgent wykonuje wiele testw na polu User-Agent z
nagwka HTTP. Wyniki tych testw s dostpne poprzez metody obiektu.
Ten modu zosta stworzony na podstawie kodu do wykrywania
przegldarek z poziomu JavaScriptu, dostpnego pod adresem
http://www.mozilla.org/docs/web-developer/sniffer/browser_type.html.
Ten modu ma take wiele wpyww z kodu lib/Browser.php z Horde w
wersji 1.3.

%prep
%setup -q -c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}/%{_class}/%{_subclass}

install %{_pearname}-%{version}/*.php $RPM_BUILD_ROOT%{php_pear_dir}/%{_class}/%{_subclass}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{php_pear_dir}/%{_class}/%{_subclass}
%{php_pear_dir}/%{_class}/%{_subclass}/*.php

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: php-pear-Net_UserAgent_Detect.spec,v $
Revision 1.9  2002/09/01 12:20:58  blues
- release 4 - fix in macros - STBR

Revision 1.8  2002/07/12 23:58:46  blues
- release 3 (rebuild with new rpm)

Revision 1.7  2002/07/12 11:32:19  blues
- removed not neccessary provides

Revision 1.6  2002/07/08 00:47:53  blues
- new one requires

Revision 1.5  2002/07/04 22:45:09  blues
- release 2

Revision 1.4  2002/06/30 22:18:29  blues
- small fix

Revision 1.3  2002/06/30 19:43:12  kloczek
- simplifications in %install.

Revision 1.2  2002/06/30 12:24:58  qboosh
- pl description

Revision 1.1  2002/06/29 11:25:06  blues
- initial release
